# \Thelia\ModuleBaseModule

## Summary

Methods
Properties
Constants
__construct()
install()
destroy()
No public properties found
No constants found
activate()
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Module/BaseModule.php
Package
  \Default
Class hierarchy
  \Thelia\Module\BaseModule

## Tags

None found

## Methods

### __construct()

    __construct()

#

## Tags

None found

### install()

    install()

#

abstract

## Tags

None found

### destroy()

    destroy()

#

abstract

## Tags

None found

### activate()

    activate()

#

## Tags

None found

### BaseModule.php